Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface HierachicalListPresentation

All Superinterfaces:
  ListPresentation

All Known Subinterfaces:
  LibraryListPresentationComponent

    public interface HierachicalListPresentation

extends ListPresentation

Represents a presentation properties of a hierarchical list

Method Summary
`ListLayoutContainer` | `getLayouts()` Returns the ordered list of `ListLayout`'s for this `HierachicalListPresentation`
`java.lang.String` | `getLeafDesign()` Returns the 'Leaf' design
`boolean` | `hasLeafDesign()` Indicates if this `ListPresentation` has a leaf design specified
`boolean` | `isDefiningAllFieldsPerLayout()` Indicates whether each `ListLayout` will define their own Header, Footer and Separator
`void` | `setDefiningAllFieldsPerLayout(boolean p_definingAllFieldsPerLayout)` Specifies whether each `ListLayout` will define their own Header, Footer and Separator
`void` | `setLayouts(ListLayoutContainer p_layouts)` Sets the ordered list of `ListLayout`'s for this `HierachicalListPresentation`
`void` | `setLeafDesign(java.lang.String p_html)` Sets the 'Leaf' design

Methods inherited from interface com.ibm.workplace.wcm.api.ListPresentation
`getNoResultsDesign, getPagingOptions, hasNoResultsDesign, setNoResultsDesign`

Method Detail

### isDefiningAllFieldsPerLayout

    boolean isDefiningAllFieldsPerLayout()

  Indicates whether each `ListLayout` will define their own Header, Footer and Separator

  Returns:
    true if each `ListLayout` will define their own Header, Footer and Separator, false otherwise

### setDefiningAllFieldsPerLayout

    void setDefiningAllFieldsPerLayout(boolean p_definingAllFieldsPerLayout)

  Specifies whether each `ListLayout` will define their own Header, Footer and Separator

  Parameters:
    `p_definingAllFieldsPerLayout` - the option to set

### getLayouts

    ListLayoutContainer getLayouts()

  Returns the ordered list of `ListLayout`'s for this `HierachicalListPresentation`

  When `isDefiningAllFieldsPerLayout()` is true, then you can set the Header, Footer and Separator per `ListLayout`

  When `isDefiningAllFieldsPerLayout()` is false, then the Header, Footer and Separator is sourced from the first `ListLayout`

  Returns:
    the ordered list of `ListLayout`'s for this `HierachicalListPresentation`
  See Also:
    `isDefiningAllFieldsPerLayout()`

### setLayouts

    void setLayouts(ListLayoutContainer p_layouts)

  Sets the ordered list of `ListLayout`'s for this `HierachicalListPresentation`

  Will copy/clone the supplied list of `ListLayout`'s before setting on this `HierachicalListPresentation`

  Parameters:
    `p_layouts` - the ordered list of `ListLayout`'s to set
  Throws:
    `java.lang.NullPointerException` - if p_layouts is `NULL`

### getLeafDesign

    java.lang.String getLeafDesign()

  Returns the 'Leaf' design

  Returns:
    the 'Leaf' design

### setLeafDesign

    void setLeafDesign(java.lang.String p_html)
                       throws OperationFailedException

  Sets the 'Leaf' design

  If a 'Leaf' design is specified, then this `HierachicalListPresentation` will automatically use it, which has the effect of enabling 'distinguish leaves' in the UI

  Parameters:
    `p_html` - The HTML to set. If `NULL` or empty string is specified, then the design will be cleared
  Throws:
    `OperationFailedException` - if the result design could not be set

### hasLeafDesign

    boolean hasLeafDesign()

  Indicates if this `ListPresentation` has a leaf design specified

  Returns:
    true if this `ListPresentation` has a leaf design specified, false otherwise

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD